{
  "type": "step_based",
  "name": "Start streaming",
  "active": false,
  "runAsUser": "romain.menini@dataiku.com",
  "creationTag": {
    "versionNumber": 6,
    "lastModifiedBy": {
      "login": "romain.menini@dataiku.com"
    },
    "lastModifiedOn": 1671096883966
  },
  "versionTag": {
    "versionNumber": 6,
    "lastModifiedBy": {
      "login": "romain.menini@dataiku.com"
    },
    "lastModifiedOn": 1671096883966
  },
  "checklists": {
    "checklists": []
  },
  "delayedTriggersBehavior": {
    "delayWhileRunning": true,
    "squashDelayedTriggers": true,
    "suppressTriggersWhileRunning": true
  },
  "tags": [],
  "triggers": [],
  "reporters": [],
  "params": {
    "steps": [
      {
        "id": "clear__d_enriched-process-data",
        "type": "clear_items",
        "name": "process-data",
        "runConditionType": "RUN_IF_STATUS_MATCH",
        "runConditionStatuses": [
          "SUCCESS",
          "WARNING"
        ],
        "runConditionExpression": "",
        "resetScenarioStatus": false,
        "delayBetweenRetries": 10,
        "maxRetriesOnFail": 0,
        "params": {
          "clears": [
            {
              "type": "DATASET",
              "itemId": "enriched-process-data",
              "partitionsSpec": ""
            },
            {
              "type": "DATASET",
              "itemId": "enriched-process-data_windows",
              "partitionsSpec": ""
            },
            {
              "type": "DATASET",
              "itemId": "enriched-process-data_windows_prepared",
              "partitionsSpec": ""
            },
            {
              "type": "DATASET",
              "itemId": "enriched-process-data_windows_prepared_joined",
              "partitionsSpec": ""
            },
            {
              "type": "DATASET",
              "itemId": "quality-alerts_log",
              "partitionsSpec": ""
            }
          ],
          "proceedOnFailure": false
        }
      },
      {
        "id": "start_cak__compute_enriched-process-data",
        "type": "start_continuous_activity",
        "name": "Streaming",
        "runConditionType": "RUN_IF_STATUS_MATCH",
        "runConditionStatuses": [
          "SUCCESS",
          "WARNING"
        ],
        "runConditionExpression": "",
        "resetScenarioStatus": false,
        "delayBetweenRetries": 10,
        "maxRetriesOnFail": 0,
        "params": {
          "continuousActivityIds": [
            "compute_enriched-process-data",
            "compute_quality-alerts_log",
            "compute_quality-alerts_1"
          ],
          "loopParams": {
            "abortAfterCrashes": -1,
            "initialRestartDelayMS": 0,
            "maxRestartDelayMS": 0,
            "restartDelayIncMS": 0
          },
          "proceedOnFailure": false
        }
      },
      {
        "id": "custom_python_tlTrMbctSgzLZoQpZ9SU4A",
        "type": "custom_python",
        "name": "wait streaming_time",
        "runConditionType": "RUN_IF_STATUS_MATCH",
        "runConditionStatuses": [
          "SUCCESS",
          "WARNING"
        ],
        "runConditionExpression": "",
        "resetScenarioStatus": false,
        "delayBetweenRetries": 10,
        "maxRetriesOnFail": 0,
        "params": {
          "script": "import time \nimport dataiku\n\ntime.sleep(int(dataiku.get_custom_variables()[\"streaming_time_in_hours\"])*60*60)",
          "envSelection": {
            "envMode": "INHERIT"
          },
          "proceedOnFailure": false
        }
      },
      {
        "id": "stop_cak__compute_quality-alerts_log_compute_enriched-process-data_compute_quality-alerts_1",
        "type": "stop_continuous_activity",
        "name": "Stop continuous activities compute_quality-alerts_log compute_enriched-process-data compute_quality-alerts_1",
        "runConditionType": "RUN_IF_STATUS_MATCH",
        "runConditionStatuses": [
          "SUCCESS",
          "WARNING"
        ],
        "runConditionExpression": "",
        "resetScenarioStatus": false,
        "delayBetweenRetries": 10,
        "maxRetriesOnFail": 0,
        "params": {
          "continuousActivityIds": [
            "compute_quality-alerts_log",
            "compute_enriched-process-data",
            "compute_quality-alerts_1"
          ],
          "proceedOnFailure": false
        }
      }
    ]
  },
  "automationLocal": false,
  "customFields": {}
}